io.etcd.jetcd.api

## Interface EventOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Event, Event.Builder

    public interface EventOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`KeyValue` `getKv()` kv holds the KeyValue for the event.
`KeyValueOrBuilder` `getKvOrBuilder()` kv holds the KeyValue for the event.
`KeyValue` `getPrevKv()` prev_kv holds the key-value pair before the event happens.
`KeyValueOrBuilder` `getPrevKvOrBuilder()` prev_kv holds the key-value pair before the event happens.
`Event.EventType` `getType()` type is the kind of event.
`int` `getTypeValue()` type is the kind of event.
`boolean` `hasKv()` kv holds the KeyValue for the event.
`boolean` `hasPrevKv()` prev_kv holds the key-value pair before the event happens.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getTypeValue

    int getTypeValue()

     type is the kind of event. If type is a PUT, it indicates
     new data has been stored to the key. If type is a DELETE,
     it indicates the key was deleted.

`.mvccpb.Event.EventType type = 1;`

Returns:
  The enum numeric value on the wire for type.

#### getType

    Event.EventType getType()

     type is the kind of event. If type is a PUT, it indicates
     new data has been stored to the key. If type is a DELETE,
     it indicates the key was deleted.

`.mvccpb.Event.EventType type = 1;`

Returns:
  The type.

#### hasKv

    boolean hasKv()

     kv holds the KeyValue for the event.
     A PUT event contains current kv pair.
     A PUT event with kv.Version=1 indicates the creation of a key.
     A DELETE/EXPIRE event contains the deleted key with
     its modification revision set to the revision of deletion.

`.mvccpb.KeyValue kv = 2;`

Returns:
  Whether the kv field is set.

#### getKv

    KeyValue getKv()

     kv holds the KeyValue for the event.
     A PUT event contains current kv pair.
     A PUT event with kv.Version=1 indicates the creation of a key.
     A DELETE/EXPIRE event contains the deleted key with
     its modification revision set to the revision of deletion.

`.mvccpb.KeyValue kv = 2;`

Returns:
  The kv.

#### getKvOrBuilder

    KeyValueOrBuilder getKvOrBuilder()

     kv holds the KeyValue for the event.
     A PUT event contains current kv pair.
     A PUT event with kv.Version=1 indicates the creation of a key.
     A DELETE/EXPIRE event contains the deleted key with
     its modification revision set to the revision of deletion.

`.mvccpb.KeyValue kv = 2;`

#### hasPrevKv

    boolean hasPrevKv()

     prev_kv holds the key-value pair before the event happens.

`.mvccpb.KeyValue prev_kv = 3;`

Returns:
  Whether the prevKv field is set.

#### getPrevKv

    KeyValue getPrevKv()

     prev_kv holds the key-value pair before the event happens.

`.mvccpb.KeyValue prev_kv = 3;`

Returns:
  The prevKv.

#### getPrevKvOrBuilder

    KeyValueOrBuilder getPrevKvOrBuilder()

     prev_kv holds the key-value pair before the event happens.

`.mvccpb.KeyValue prev_kv = 3;`